From d7d6c0188fe93ca596018116cac2ab94805d4b94 Mon Sep 17 00:00:00 2001
From: Luciano Montanaro <luciano.montanaro@magnetimarelli.com>
Date: Fri, 23 Nov 2012 12:27:47 +0100
Subject: [PATCH 03/36] Do not use uid to name socket in promiscuous mode

---
 dist/jackd2/src/posix/JackSocket.cpp |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

diff --git a/dist/jackd2/src/posix/JackSocket.cpp b/dist/jackd2/src/posix/JackSocket.cpp
index 9b8873c..852a3ab 100644
--- a/dist/jackd2/src/posix/JackSocket.cpp
+++ b/dist/jackd2/src/posix/JackSocket.cpp
@@ -34,7 +34,11 @@ static void BuildName(const char* client_name, char* res, const char* dir, int w
 {
     char ext_client_name[JACK_CLIENT_NAME_SIZE + 1];
     JackTools::RewriteName(client_name, ext_client_name);
-    sprintf(res, "%s/jack_%s_%d_%d", dir, ext_client_name, JackTools::GetUID(), which);
+    if (getenv("JACK_PROMISCUOUS_SERVER")) {
+        sprintf(res, "%s/jack_%s_%d", dir, ext_client_name, which);
+    } else {
+        sprintf(res, "%s/jack_%s_%d_%d", dir, ext_client_name, JackTools::GetUID(), which);
+    }
 }
 
 JackClientSocket::JackClientSocket(int socket): fSocket(socket),fTimeOut(0),
-- 
1.7.0.4

